package projectzombie.tiles;

import projectzombie.init.Models;
import projectzombie.model.Model;
import projectzombie.util.TileState;

public class TileWall extends Tile
{

	public TileWall() {
		
		this.tileWalkable = false;
		this.tileSolid = true;
		this.tileHitbox = 1;
		
		this.passNaturalLight = false;
	}
	
	@Override
	public double getLightDissipation(TileState state) {
		return 1/2.0;
	}
	
	@Override
	public Model getModel(byte meta) {
		return Models.TILE_WALL;
	}
	
}
